Subject: Workspace module redesign

Description

Dear all

we are going to redesign the existing workspace module in TYPOS, because refactoring with templating and so on would last longer.
We discussed the module in the workspace team and created screens how it should look in TYPOS 4.5.

Before we begin to code we would highly appreciate your knowledge for the following questions:

- What do you think about the usability of the new module?

- What do you suggest as icon for "Jump to the page module and go to the page of this conent element" as described in the screen?
The current icon is, | think, the old one for this

- How would you solve the OK button for the stage change select box?

- How would you design the pager? | suggest to use the TYPO3 pager from the list module

Unfortunately the explanations in the screens are German, if you need it in English we will be able to create an updated screen.

I know you have a lot to do but please note that we need your feedback by the next two weeks because we still need time to code
befor feature freeze.

And please also note that it is not the target to create a completly new module which is perfect but completely different, we want to
make the extisting module easier to use for the normale be_user.

Thank you so much for your help.

Kind regards,

Sonja

Workspace team leader

Related issues:

related to Core - Feature # 10642: Implement workspace preview Closed 2010-11-05
related to Core - Feature # 11029: Workspaces module: Row detail view Resolved 2010-11-23 2010-11-30
History

#1 - 2010-09-07 10:37 - Jens Hoffmann

Team please give feedback to those screens here:

see updated screens below

#2 - 2010-09-07 22:51 - Sonja Schubert

2015-08-04 1/8




- File 20100907 _workspace_editor added
- File 20100907 _workspace_editorinLive added
- File 20100907 _workspace_stagebox added

Dear all

after discussion and lots of feedback with and from our workspace team I've created new screens.

We would appreciate your feedback to the following points:

- What do you think about the usability of the new module?
- Do you see anything in the screens which is a no-go and should be improved?

Please note, that this second version of screens is done with pencil and not with photoshop so its possible that not everything looks exactly as in
TYPOS. The tabs for example.. During programming we will design it the TYPO3-way.

Thank you for your feedback.

Best regards,

Sonja

20100907_workspace_editor.png
20100907_workspace_editorInLive.png
20100907_workspace_stagebox.png

#3 - 2010-09-08 11:57 - Jens Hoffmann

The Images are PNG's as filetype.
| will re-upload them again.

#4 - 2010-09-14 15:36 - Oliver Hader

- File 20100907 _workspace_editor.png added

- File 20100907 _workspace_editorinLive.png added
- File 20100907 _workspace_stagebox.png added

#5 - 2010-09-14 15:41 - Oliver Hader
- File deleted (20100907 _workspace_editor)

#6 - 2010-09-14 15:41 - Oliver Hader
- File deleted (20100907 _workspace_editorinLive)

#7 - 2010-09-14 15:41 - Oliver Hader
- File deleted (20100907 _workspace_stagebox)

#8 - 2010-09-16 10:44 - Oliver Hader
Missing in the screens:
- column for current stage
Other problems:
- how to visualize to users which workspace is currently activated
#9 - 2010-09-16 21:30 - Lars Zimmermann

- File entwurf_workspaces.png added

Hi everyone,

| designed a proposal for the workspace module, based on mostly existing elements from the 4.4 backend. The icons are not final at all. Tomorrow in
Wiesbaden | will take care of this...

A version with a unfolded element | will also add tomorrow, as well as the other missing elements. | just wanted to show a direction in which the

workspace module could develope visually...

cheers

lars

entwurf_workspaces.png

#10 - 2010-09-17 22:49 - Tolleiv Nietsch
- File entwurf_4.5_workspaces-03.png added

The second suggestion from Lars:
entwurf_4.5_workspaces-03.png

#11 - 2010-09-18 19:50 - Lars Zimmermann

- File entwurf_4.5-workspaces-detail.png added

- File entwurf_4.5-workspaces-detail-hover.png added

- File entwurf_4.5-workspaces.png added

Hi,

I've created a suggestion for the detail view with an optional hover state for the workspace-version content-item (does this makes sense there?).
I've also added to the original screen a sorting arrow for the columns as well as the properties dropdown-arrow.

After sleeping one night, | have to admit | don't like the changed header for the workspace version. | have to rethink this again...
entwurf_4.5-workspaces-detail.png

entwurf_4.5-workspaces-detail-hover.png
entwurf_4.5-workspaces.png

#12 - 2010-10-16 10:08 - Sonja Schubert
- File 20101016_skribble_jens_modul.jog added

updated suggestion for new workspace module by HCI team (jens and lars). created at core sprint meeting in Stuttgart
#13 - 2010-10-22 13:01 - Jens Hoffmann
- File IMG_4611-2.jpg added

- Category set to Design

- Status changed from New to Accepted

- Assigned To set to Lars Zimmermann

Preview Screen Concept:
#14 - 2010-10-24 17:53 - Lars Zimmermann
Hey guys,
| will create screens from the wireframes Jens provided. | hope I'll be able to create them within the next days.

cheers

lars
#15 - 2010-10-25 09:20 - Sonja Schubert
Hi Lars,

Thank you for the information. We also still need updated screens for the detail view of a row and for the TYPOS3 head, as we discussed in Stuttgart. It

would be nice if you could create them too.

Thank you for your help and greets

Sonja

#16 - 2010-10-25 19:17 - Tolleiv Nietsch
- File manual.doc added

The messages which are sent in case the stage is changed should also be part of the foldout. The attachment shows how this was done in the old

module.

messages.png

#17 - 2010-10-25 19:20 - Tolleiv Nietsch
- File messages.png added

argh - manual.doc was not the right file ... see messages.png

#18 - 2010-11-02 22:01 - Jens Hoffmann

Open questions:

"Generate WSP Link" position, style and behavior need to be specified.
#19 - 2010-11-03 18:26 - Lars Zimmermann

- File entwurf_4.5-workspaces-3.png added

- File entwurf_4.5-workspaces-3-detail.png added

- File entwurf_4.5-workspaces-3-vergleichsseite1.png added
- File entwurf_4.5-workspaces-3-vergleichsseite2.png added

Finally I've created severals screens for the workspace team that I've already discussed with Jens via Skype.

I hope you'll like them...

In the preview screens the slider should maybe change the opacity between the live and the workspace page as an overlay (that's just a new idea to
approach to see the difference - this still needs to be discussed)

The rest should be pretty straight forward and hopefully self-explanatory... =)

The icons in the workspaces list view should be really only be revealed on mouse-over. For the swap and "send-to-next-stage"-icons we should create
dedicated columns that aren't sortable or movable within the ExtJS Grid.

cheers
lars

PS. Thank you Jens for your effort, time and valued input!

entwurf_4.5-workspaces-3-detail.png

The workspaces view with a detailed content view including new user comments

entwurf_4.5-workspaces-3-vergleichsseite1.png

The new approach for the preview-comparison-screen: It's just a small header on top - very compact GUI

entwurf_4.5-workspaces-3-vergleichsseite2.png

The new approach for the preview-list-screen: This should be straight forward from the rest of the backend - so | didn't create a special screen

#20 - 2010-11-03 18:34 - Lars Zimmermann

- Status changed from Accepted to Needs Feedback

#21 - 2010-11-03 18:39 - Lars Zimmermann
- File deleted (entwurf_4.5-workspaces-3.png)

#22 - 2010-11-03 18:40 - Lars Zimmermann

- File entwurf_4.5-workspaces-3.png added

ups, jens told me, | had a nano-error in the original screen. the hover was in the wrong line. now it's right...

#23 - 2010-11-03 18:41 - Lars Zimmermann

- File deleted (entwurf_4.5-workspaces-3.png)

#24 - 2010-11-03 18:42 - Lars Zimmermann
- File entwurf_4.5-workspaces-3.png added

| mean now it's right

entwurf_4.5-workspaces-3.png

#25 - 2010-11-08 21:37 - Tolleiv Nietsch

Hi - regarding the workspace preview. The "Publish”, "Reject" and "Drop changes" buttons are not part of our current concept (because they cause
some further technical problems). Besides that I'd like to know what the "Help" tab shows ;)

#26 - 2010-11-23 20:04 - Jens Hoffmann
- Status changed from Needs Feedback to Resolved

We explained/defined that in a Skype meeting.
Could someone add the point from the Skype Meeting here?

@Sonja: Is there a protocol?

BTW: There is a prototype for the Preview window: http://www.steffenkamper.info/last/ws_preview.html

#27 - 2010-11-24 22:02 - Sonja Schubert

Unfortunately there is no protcol from our last skype meeting, where we talked about the current design issues.

But the issues, which are still open, are open in the skin team area.

Yesterday | skyped with Steffen G., so the skin team knows where they can find which things. If there are questions upcoming, the workspace team is

available to help, of course.

#28 - 2010-12-07 12:36 - Jens Hoffmann

- Subject changed from Workspace module redesign - some icons and usability check needed to Workspace module redesign
